Bug 1280195 - If running "gnome on wayland" desktop session, nautilus won't show the desktop icons
If running "gnome on wayland" desktop session, nautilus won't show the deskt...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: FutureFeature
: 1285165 (view as bug list)
Depends On:
Blocks: WaylandRelated
  Show dependency treegraph
 
Reported: 2015-11-11 02:37 EST by Joachim Backes
Modified: 2016-12-10 05:16 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-08 11:08:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 748347 None None None 2016-12-08 11:10 EST

  None (edit)
Description Joachim Backes 2015-11-11 02:37:07 EST
Description of problem:
If running "gnome on wayland", no desktop icons appear after login (i have this configured by gnome-tweak-tool: icons on desktop: on). I can start nautilus by hand, but still the desktop icons don't appear. But if running "gnome" as desktop session, all desktop icons are shown.

Version-Release number of selected component (if applicable):
nautilus-3.18.1-1.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1.Select "icons on desktop: on" by gnome-tweak-tool
2.Re-Login after having selected: "gnome on wayland" as desktop session type
3.

Actual results:
No desktop icons

Expected results:
Desktop icons are shown

Additional info:
Comment 1 Kamil Páral 2015-12-08 06:23:01 EST
*** Bug 1285165 has been marked as a duplicate of this bug. ***
Comment 2 Leslie Satenstein 2015-12-08 10:30:13 EST
The bug  1285165 refers to a different but similar problem

As mentioned above, with Gnome tweak, we can show three icons.  ~ trash and mounted drives,  The 1285165 refers not to the tweak tool icons, but to items within ~/desktop.  

Be sure that items within ~/desktop are included on the display.
Comment 3 Matthias Clasen 2015-12-08 12:44:21 EST
I've said this in several places already, and I will keep repeating it if more bugs get filed: there is no immediate plan to have the classic session on Wayland. Nautilus rendering the desktop ('icons') is part of the classic session.
Comment 5 Jan Niklas Hasse 2016-11-22 08:10:26 EST
It's also part of the gnome-tweak-tool, not only of the classic session.

Currently the desktop is used for nothing but a background, which is very unusual. Is there at least something planned to show launchers on the desktop?
Comment 6 Grant 2016-11-23 11:21:56 EST
This bug persists in November of 2016.  Matthias, are we to interpret your comment as an assertion that you do not intend to fix this, ever?  This bug does not refer to a "classic session."
Comment 7 Fedora End Of Life 2016-11-24 08:17:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Matthew Miller 2016-11-29 18:18:43 EST
While Wayland should work for 90-something-percent of cases, it's expected that not everything is exactly the same. I think that "run GNOME on X11 if you need this feature" is a perfectly good work around at this point.

In the future, if enough people are interested in this, it's going to take some development work. I don't particularly care either way, but Fedora is really an integrator rather than a software development project, so this bug just isn't the most effective place to organize that work.

It's probably most-nice if in the meantime tweak-tool gained some awareness of this and let users know, since it as mentioned does present the options. But that too is best taken to the upstream.
Comment 9 Christopher Tubbs 2016-11-29 20:05:41 EST
(In reply to Matthew Miller from comment #8)

I agree with all of that. But I also think it's probably useful to have this ticket as a tracker for any relevant upstream tickets, and to provide a place for Fedora users to discuss Fedora-specific workarounds (if/when available) and so interested Fedora users don't have to track the development minutia upstream.

That said, does anybody have an upstream bug to link to? I couldn't find one, and GNOME's site was not exactly the easiest to navigate, nor is their bug tracker the most logically organized (to an outsider).
Comment 10 Felix Schwarz 2016-11-30 16:46:17 EST
(In reply to Christopher Tubbs from comment #9)
> That said, does anybody have an upstream bug to link to?

The GNOME tweak tool (do not offer desktop icons when running under wayland) should be "Don't offer desktop icons if they won't work" (https://bugzilla.gnome.org/show_bug.cgi?id=758630).

The actual desktop icon story is a bit harder as it seems no GNOME "core" developer is particularly interested in them (see comment #3 by Matthias Clasen).
As far as I understand the "desktop icons" part was using X11 functionality which is not present under Wayland (obviously) and it was not trivial to port it to Wayland so the "desktop icon" functionality was disabled.

The best ticket I found is "files does not present the desktop when running under wayland" (https://bugzilla.gnome.org/show_bug.cgi?id=748347) but that was closed as WONTFIX.
Comment 11 Felix Schwarz 2016-12-01 03:34:34 EST
Carlos Soriano who is a nautilus maintainer and GNOME shell hacker agreed that we can use https://bugzilla.gnome.org/show_bug.cgi?id=748347 as upstream bug to track the feature - even though there are currently no plans to implement that (unfortunately).
Comment 12 Felix Schwarz 2016-12-08 11:08:26 EST
The nautilus developers committed with a simple "workaround" (use Xwayland to render desktop icons) which is already committed to the 3.22 stable branch so the functionality should be present in the next upstream minor release.

commit in 3.22 branch: https://git.gnome.org/browse/nautilus/commit/?h=gnome-3-22&id=94dcf03e5bc9cd1db83cf3016289e305e13694d4

commit in master branch: https://git.gnome.org/browse/nautilus/commit/?id=2ce163549e5f3bb9f3c735c6edf2d2ee174ff143
Comment 13 Leslie Satenstein 2016-12-09 23:25:38 EST
I'm not sure where the following belongs. I see it as being part of the same problem. 

During anaconda installation, I specified that the simultaneous press of the left and right control keys would change from one keyboard layout to the other.

In so doing, the GNOME indication EN or FR should be switching to match.

This does not happen with Fedora 25.  The keyboard layout changes, but there is no indication of which keyboard is in effect.

Is this new bug?
Comment 14 Felix Schwarz 2016-12-10 05:16:01 EST
(In reply to Leslie Satenstein from comment #13)
> I'm not sure where the following belongs. I see it as being part of the same
> problem. 

Why do you think so (besides you might be also running GNOME + wayland?)

> This does not happen with Fedora 25.  The keyboard layout changes, but there
> is no indication of which keyboard is in effect.
> 
> Is this new bug?

Yes because it has likely nothing to do with rendering of desktop icons.

Note You need to log in before you can comment on or make changes to this bug.